# fileset::get-file-count

[This is preliminary documentation and subject to change.]

Determines the number of files within a <fileset>.

### Usage

`int fileset::get-file-count(fileset)`

### Parameters

Name | Type | Description
--- | --- | ---
fileset | string | The id of the FileSet to scan.

### Return Value

The number of files included in the FileSet

### Exceptions

The function will fail in any of the following circumstances:

- fileset is not a valid refid to a defined fileset.

### Examples

- Define a fileset and check the number of files in it.

      <fileset id="test.fileset">
          <include name="**/*.cs">
      </fileset>
      <echo message="FileSet contains ${fileset::get-file-count('test.fileset')} files." />

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)